#
# This script is part of TkKasse. You may use, modify and distribute it under the terms
# of the GNU General Public License, Version 2.
# See details at http://www.fsf.org/licenses/gpl.txt
# (C) by Jan Kandziora <tkkasse@users.sf.net> 
#


## Evaluate in the TkKasse namespace
namespace eval TkKasse \
{
	## TkKasse server class:
	itcl::class Server \
	{
		inherit ::Authenticated::Server

		constructor { args  } { eval configure $args } {}

		method getUserList {}

		public variable cash_register {}
		public variable print_manager {}
	}

	## Get user information for this server:
	itcl::body Server::getUserList {} \
	{
		$user_manager cget -users
	}
}

