#
# This script is part of TkKasse. You may use, modify and distribute it under the terms
# of the GNU General Public License, Version 2.
# See details at http://www.fsf.org/licenses/gpl.txt
# (C) by Jan Kandziora <tkkasse@users.sf.net> 
#


## Evaluate in the TkKasse namespace
namespace eval TkKasse \
{
	## TkKasse user class:
	itcl::class User \
	{
		inherit ::User

		constructor { args  } { eval configure $args } {}

		public \
		{
			variable flags {}
			variable name {}
			variable shortname {}
		}
	}



	## TkKasse user manager class:
	itcl::class UserManager \
	{
		inherit ::UserManager

		constructor { args  } { eval configure $args } {}
	}
}

